/* Gnome Sound System
 * Interface for defining and playing sound UI events
 * such as startup sound, new file, new game etc...
 *
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the Free
 * Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef GNOME_SOUND_H
#define GNOME_SOUND_H

#include <libgnome/libgnome.h>
#include<glib.h>


#define GNOME_SOUND_STOCK_STARTUP "Startup"
#define GNOME_SOUND_STOCK_OPEN    "Open File"
#define GNOME_SOUND_STOCK_NEW     "New File"
#define GNOME_SOUND_STOCK_CLOSE   "Close"
#define GNOME_SOUND_STOCK_MENU_OPEN "Open Menu"
#define GNOME_SOUND_STOCK_DIALOG_OPEN "Open Dialog"
#define GNOME_SOUND_STOCK_INFO     "Info"
#define GNOME_SOUND_STOCK_QUESTION "Question"
#define GNOME_SOUND_STOCK_WARNING  "Warning"
#define GNOME_SOUND_STOCK_ERROR    "Error"
#define GNOME_SOUND_STOCK_CRITICAL "Critical"
#define GNOME_SOUND_STOCK_QUESTION "Question"

#define GNOME_SOUND_STOCK_BANG     "Bang"
#define GNOME_SOUND_STOCK_BEEP     "Beep"
#define GNOME_SOUND_STOCK_MELODY   "Melody"

#define gnome_sound_play(sound) (_gnome_sound_play( gnome_app_id, (sound)))
#define gnome_sound_play_stock(sound) (_gnome_sound_play( NULL, (sound)))

#define gnome_sound_new(ev, au) (_gnome_sound_new(gnome_app_id, (ev), (au)))

BEGIN_GNOME_DECLS

gboolean gnome_sound_app_configured();
void gnome_sound_app_configure();

void _gnome_sound_new(gchar *appname, gchar *event, gchar *audiofile);
void gnome_sound_set(gchar *appname, gchar *event, gchar *audiofile);
gchar *gnome_sound_get(gchar *appname,gchar *event);
GList *gnome_sound_list(gchar *appname);

void _gnome_sound_play(gchar *appname, gchar *event);
void gnome_sound_stop();

END_GNOME_DECLS
   
#endif /* GNOME_SOUND_H */




